%define origname adplug
%define dbver 2006-07-07

Name: lib%origname
Version: 2.1
Release: alt1
Summary: AdLib sound player library
Url: http://adplug.sourceforge.net/
License: LGPL
Group: Sound
Source: %origname-%version.tar
Source1: adplugdb-%dbver.tar

# Automatically added by buildreq on Sat Jan 05 2008
BuildRequires: gcc-c++ glibc-devel-static libbinio-devel

%if_enabled static
BuildPreReq: glibc-devel-static
%endif

%description
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

%package devel
Group: Development/C++
Summary: Development files of AdPlug
Requires: %name = %version-%release
PreReq: %__install_info

%description devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the C++ headers and documentation required for
building programs based on AdPlug.

%if_enabled static
%package static-devel
Group: Development/C++
Summary: Static library of AdPlug
Requires: %name-devel = %version-%release

%description static-devel
AdPlug is a free, multi-platform, hardware independent AdLib sound player
library, mainly written in C++. AdPlug plays sound data, originally created
for the AdLib (OPL2) audio board, on top of an OPL2 emulator or by using the
real hardware. No OPL2 chip is required for playback.

It supports various audio formats from MS-DOS AdLib trackers.

This package contains the static library required for statically
linking applications based on AdPlug.

%endif #enabled static

%prep
%setup -q -n %origname-%version

%build
%configure --sharedstatedir=%_datadir
%make_build

%install
%makeinstall

tar xf %SOURCE1
mkdir -p %buildroot%_datadir
cp -a %dbver %buildroot%_datadir/%origname

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%post -n %name-devel
%install_info %name.info

%postun -n %name-devel
%uninstall_info %name.info

%files
%doc AUTHORS BUGS ChangeLog NEWS README TODO
%_bindir/adplugdb
%_man1dir/adplugdb.1*
%_libdir/*.so.*
%_datadir/%origname

%files devel
%_includedir/%origname
%_libdir/*.so
%_pkgconfigdir/%origname.pc
%_infodir/%name.*

%if_enabled static
%files static-devel
%_libdir/*.a
%endif

%changelog
* Sat Jan 05 2008 Ildar Mulyukov <ildar@altlinux.ru> 2.1-alt1
- 1st version for Sisyphus
- build static libs if only --enabled static
- added adplugdb database version %dbver to %_datadir/%origname

* Tue Mar  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4-1
- requires binio library
- fix groups for RH standard
- remove patches
- add adplugdb
- new version

* Tue Nov 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1
- initial package
